Subject: Re: Combining defconfigs for 44x based boards

From: Olof Johansson <[email-masked]>
Date: Wed, 8 Sep 2010 21:16:32 -0500

On Wed, Sep 08, 2010 at 07:11:11PM -0700, Tirumala Marri wrote:
> >
> > On Wed, Sep 08, 2010 at 03:40:37PM -0700, Tirumala Marri wrote:
> > > Is anyone working on Linus suggestion to combine the defconfigs under
> > 44x
> > > or 4xx ?
> >
> > Do you mean ppc44x_defconfig? Already there.
> No it is not there yet. I should have said "Linus suggestion about
> defconfigs in ARM mailing list".

ARM and powerpc are somewhat different in this aspect, since
ARM traditionally has not been able to build multiplatform kernels
(especially not multi-soc-family kernels).

Powerpc can build a kernel that will boot on all machines of a certain
class (server, fsl-booke, ibm-booke, ppc32). So there's not really
a whole lot of reason to have the custom per-board defconfigs in the
kernel tree any more.

For specific products it might still make sense for a vendor to make a custom
minimal defconfig, but that doesn't mean it's a requirement to have them in the
upstream repository.

-Olof